---
sidebarDepth: 2
editLink: false
---
# agent
---
<h3>local</h3>
  Manage Prefect Local agents.

<pre><code>Options:<br>  --help  Show this message and exit.<br><br>Commands:<br>  install  Generate a supervisord.conf file for a Local agent<br>  start    Start a local agent</code></pre><h3>local install</h3>
  Generate a supervisord.conf file for a Local agent

<pre><code>Options:<br>  -t, --token TEXT        A Prefect Cloud API token with RUNNER scope.<br>  -l, --label TEXT        Labels the agent will use to query for flow runs.<br>  -e, --env TEXT          Environment variables to set on each submitted flow<br>                          run.<br><br>  -p, --import-path TEXT  Import paths the local agent will add to all flow<br>                          runs.<br><br>  -f, --show-flow-logs    Display logging output from flows run by the agent.<br>  --help                  Show this message and exit.</code></pre><h3>local start</h3>
  Start a local agent

<pre><code>Options:<br>  -t, --token TEXT                A Prefect Cloud API token with RUNNER scope.<br>  -a, --api TEXT                  A Prefect API URL.<br>  --agent-config-id TEXT          An agent ID to link this agent instance with<br>  -n, --name TEXT                 A name to use for the agent<br>  -l, --label TEXT                Labels the agent will use to query for flow<br>                                  runs.<br><br>  -e, --env TEXT                  Environment variables to set on each<br>                                  submitted flow run.<br><br>  --max-polls INTEGER             Maximum number of times the agent should<br>                                  poll the Prefect API for flow runs. Default<br>                                  is no limit<br><br>  --agent-address TEXT            Address to serve internal api server at.<br>                                  Defaults to no server.<br><br>  --no-cloud-logs                 Turn off logging for all flows run through<br>                                  this agent.<br><br>  --log-level [DEBUG|INFO|WARNING|ERROR]<br>                                  The agent log level to use. Defaults to the<br>                                  value configured in your environment.<br><br>  -p, --import-path TEXT          Import paths the local agent will add to all<br>                                  flow runs.<br><br>  -f, --show-flow-logs            Display logging output from flows run by the<br>                                  agent.<br><br>  --storage-labels / --no-storage-labels<br>                                  Add all storage labels to the LocalAgent<br>  --hostname-label / --no-hostname-label<br>                                  Add hostname to the LocalAgent's labels<br>  --help                          Show this message and exit.</code></pre><h3>docker</h3>
  Manage Prefect Docker agents.

<pre><code>Options:<br>  --help  Show this message and exit.<br><br>Commands:<br>  start  Start a docker agent</code></pre><h3>docker start</h3>
  Start a docker agent

<pre><code>Options:<br>  -t, --token TEXT                A Prefect Cloud API token with RUNNER scope.<br>  -a, --api TEXT                  A Prefect API URL.<br>  --agent-config-id TEXT          An agent ID to link this agent instance with<br>  -n, --name TEXT                 A name to use for the agent<br>  -l, --label TEXT                Labels the agent will use to query for flow<br>                                  runs.<br><br>  -e, --env TEXT                  Environment variables to set on each<br>                                  submitted flow run.<br><br>  --max-polls INTEGER             Maximum number of times the agent should<br>                                  poll the Prefect API for flow runs. Default<br>                                  is no limit<br><br>  --agent-address TEXT            Address to serve internal api server at.<br>                                  Defaults to no server.<br><br>  --no-cloud-logs                 Turn off logging for all flows run through<br>                                  this agent.<br><br>  --log-level [DEBUG|INFO|WARNING|ERROR]<br>                                  The agent log level to use. Defaults to the<br>                                  value configured in your environment.<br><br>  -b, --base-url TEXT             Docker daemon base URL.<br>  --no-pull                       Disable pulling images in the agent<br>  -f, --show-flow-logs            Display logging output from flows run by the<br>                                  agent.<br><br>  --volume TEXT                   Host paths for Docker bind mount volumes<br>                                  attached to each Flow container. Can be<br>                                  provided multiple times to pass multiple<br>                                  volumes (e.g. `--volume /volume1 --volume<br>                                  /volume2`)<br><br>  --network TEXT                  Add containers to an existing docker network<br>  --no-docker-interface           Disable the check of a Docker interface on<br>                                  this machine. Note: This is mostly relevant<br>                                  for some Docker-in-Docker setups that users<br>                                  may be running their agent with.<br><br>  --help                          Show this message and exit.</code></pre><h3>kubernetes</h3>
  Manage Prefect Kubernetes agents.

<pre><code>Options:<br>  --help  Show this message and exit.<br><br>Commands:<br>  install  Generate a supervisord.conf file for a Local agent<br>  start    Start a Kubernetes agent</code></pre><h3>kubernetes install</h3>
  Generate a supervisord.conf file for a Local agent

<pre><code>Options:<br>  -t, --token TEXT               A Prefect Cloud API token with RUNNER scope.<br>  -l, --label TEXT               Labels the agent will use to query for flow<br>                                 runs.<br><br>  -e, --env TEXT                 Environment variables to set on each<br>                                 submitted flow run.<br><br>  -a, --api TEXT                 A Prefect API URL.<br>  -n, --namespace TEXT           Agent namespace to launch workloads.<br>  -i, --image-pull-secrets TEXT  Name of image pull secrets to use for<br>                                 workloads.<br><br>  --resource-manager             Enable resource manager.<br>  --rbac                         Enable default RBAC.<br>  --latest                       Use the latest Prefect image.<br>  --mem-request TEXT             Requested memory for Prefect init job.<br>  --mem-limit TEXT               Limit memory for Prefect init job.<br>  --cpu-request TEXT             Requested CPU for Prefect init job.<br>  --cpu-limit TEXT               Limit CPU for Prefect init job.<br>  --image-pull-policy TEXT       imagePullPolicy for Prefect init job<br>  --service-account-name TEXT    Name of Service Account for Prefect init job<br>  -b, --backend TEXT             Prefect backend to use for this agent.<br>  --help                         Show this message and exit.</code></pre><h3>kubernetes start</h3>
  Start a Kubernetes agent

<pre><code>Options:<br>  -t, --token TEXT                A Prefect Cloud API token with RUNNER scope.<br>  -a, --api TEXT                  A Prefect API URL.<br>  --agent-config-id TEXT          An agent ID to link this agent instance with<br>  -n, --name TEXT                 A name to use for the agent<br>  -l, --label TEXT                Labels the agent will use to query for flow<br>                                  runs.<br><br>  -e, --env TEXT                  Environment variables to set on each<br>                                  submitted flow run.<br><br>  --max-polls INTEGER             Maximum number of times the agent should<br>                                  poll the Prefect API for flow runs. Default<br>                                  is no limit<br><br>  --agent-address TEXT            Address to serve internal api server at.<br>                                  Defaults to no server.<br><br>  --no-cloud-logs                 Turn off logging for all flows run through<br>                                  this agent.<br><br>  --log-level [DEBUG|INFO|WARNING|ERROR]<br>                                  The agent log level to use. Defaults to the<br>                                  value configured in your environment.<br><br>  --namespace TEXT                Kubernetes namespace to deploy in. Defaults<br>                                  to `default`.<br><br>  --job-template TEXT             Path to a kubernetes job template to use<br>                                  instead of the default.<br><br>  --service-account-name TEXT     A default service account name to configure<br>                                  on started jobs.<br><br>  --image-pull-secrets TEXT       Default image pull secrets to configure on<br>                                  started jobs. Multiple values can be<br>                                  provided as a comma-separated list (e.g.<br>                                  `--image-pull-secrets VAL1,VAL2`)<br><br>  --help                          Show this message and exit.</code></pre><h3>ecs</h3>
  Manage Prefect ECS agents.

<pre><code>Options:<br>  --help  Show this message and exit.<br><br>Commands:<br>  start  Start an ECS agent</code></pre><h3>ecs start</h3>
  Start an ECS agent

<pre><code>Options:<br>  -t, --token TEXT                A Prefect Cloud API token with RUNNER scope.<br>  -a, --api TEXT                  A Prefect API URL.<br>  --agent-config-id TEXT          An agent ID to link this agent instance with<br>  -n, --name TEXT                 A name to use for the agent<br>  -l, --label TEXT                Labels the agent will use to query for flow<br>                                  runs.<br><br>  -e, --env TEXT                  Environment variables to set on each<br>                                  submitted flow run.<br><br>  --max-polls INTEGER             Maximum number of times the agent should<br>                                  poll the Prefect API for flow runs. Default<br>                                  is no limit<br><br>  --agent-address TEXT            Address to serve internal api server at.<br>                                  Defaults to no server.<br><br>  --no-cloud-logs                 Turn off logging for all flows run through<br>                                  this agent.<br><br>  --log-level [DEBUG|INFO|WARNING|ERROR]<br>                                  The agent log level to use. Defaults to the<br>                                  value configured in your environment.<br><br>  --cluster TEXT                  The cluster to use. If not provided, your<br>                                  default cluster will be used<br><br>  --launch-type [FARGATE|EC2]     The launch type to use, defaults to FARGATE<br>  --task-role-arn TEXT            The default task role ARN to use for ECS<br>                                  tasks started by this agent.<br><br>  --task-definition TEXT          Path to a task definition template to use<br>                                  when defining new tasks instead of the<br>                                  default.<br><br>  --run-task-kwargs TEXT          Path to a yaml file containing extra kwargs<br>                                  to pass to `run_task`<br><br>  --help                          Show this message and exit.</code></pre><h3>fargate</h3>
  Manage Prefect Fargate agents.

<pre><code>Options:<br>  --help  Show this message and exit.<br><br>Commands:<br>  start  Start a Fargate agent</code></pre><h3>fargate start</h3>
  Start a Fargate agent

<pre><code>Options:<br>  -t, --token TEXT                A Prefect Cloud API token with RUNNER scope.<br>  -a, --api TEXT                  A Prefect API URL.<br>  --agent-config-id TEXT          An agent ID to link this agent instance with<br>  -n, --name TEXT                 A name to use for the agent<br>  -l, --label TEXT                Labels the agent will use to query for flow<br>                                  runs.<br><br>  -e, --env TEXT                  Environment variables to set on each<br>                                  submitted flow run.<br><br>  --max-polls INTEGER             Maximum number of times the agent should<br>                                  poll the Prefect API for flow runs. Default<br>                                  is no limit<br><br>  --agent-address TEXT            Address to serve internal api server at.<br>                                  Defaults to no server.<br><br>  --no-cloud-logs                 Turn off logging for all flows run through<br>                                  this agent.<br><br>  --log-level [DEBUG|INFO|WARNING|ERROR]<br>                                  The agent log level to use. Defaults to the<br>                                  value configured in your environment.<br><br>  --help                          Show this message and exit.</code></pre>
<p class="auto-gen">This documentation was auto-generated from commit <a href='https://github.com/PrefectHQ/prefect/commit/n/a'>n/a</a> </br>on December 16, 2020 at 21:36 UTC</p>